Package org.apache.avro.ipc

# Class HandshakeRequest.Builder

java.lang.Object
org.apache.avro.data.RecordBuilderBase<HandshakeRequest>
org.apache.avro.specific.SpecificRecordBuilderBase<HandshakeRequest>
org.apache.avro.ipc.HandshakeRequest.Builder

All Implemented Interfaces:
  `org.apache.avro.data.RecordBuilder<HandshakeRequest>`

Enclosing class:
  `HandshakeRequest`

public static class HandshakeRequest.Builder extends org.apache.avro.specific.SpecificRecordBuilderBase<HandshakeRequest> implements org.apache.avro.data.RecordBuilder<HandshakeRequest>
RecordBuilder for HandshakeRequest instances.

## Method Summary

Modifier and Type
Method
Description
`HandshakeRequest`
`build()`
`HandshakeRequest.Builder`
`clearClientHash()`
Clears the value of the 'clientHash' field.
`HandshakeRequest.Builder`
`clearClientProtocol()`
Clears the value of the 'clientProtocol' field.
`HandshakeRequest.Builder`
`clearMeta()`
Clears the value of the 'meta' field.
`HandshakeRequest.Builder`
`clearServerHash()`
Clears the value of the 'serverHash' field.
`MD5`
`getClientHash()`
Gets the value of the 'clientHash' field.
`String`
`getClientProtocol()`
Gets the value of the 'clientProtocol' field.
`Map<String,ByteBuffer>`
`getMeta()`
Gets the value of the 'meta' field.
`Optional<MD5>`
`getOptionalClientHash()`
Gets the value of the 'clientHash' field as an Optional<org.apache.avro.ipc.MD5>.
`Optional<String>`
`getOptionalClientProtocol()`
Gets the value of the 'clientProtocol' field as an Optional<java.lang.String>.
`Optional<Map<String,ByteBuffer>>`
`getOptionalMeta()`
Gets the value of the 'meta' field as an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.
`Optional<MD5>`
`getOptionalServerHash()`
Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
`MD5`
`getServerHash()`
Gets the value of the 'serverHash' field.
`boolean`
`hasClientHash()`
Checks whether the 'clientHash' field has been set.
`boolean`
`hasClientProtocol()`
Checks whether the 'clientProtocol' field has been set.
`boolean`
`hasMeta()`
Checks whether the 'meta' field has been set.
`boolean`
`hasServerHash()`
Checks whether the 'serverHash' field has been set.
`HandshakeRequest.Builder`
`setClientHash(MD5 value)`
Sets the value of the 'clientHash' field.
`HandshakeRequest.Builder`
`setClientProtocol(String value)`
Sets the value of the 'clientProtocol' field.
`HandshakeRequest.Builder`
`setMeta(Map<String,ByteBuffer> value)`
Sets the value of the 'meta' field.
`HandshakeRequest.Builder`
`setServerHash(MD5 value)`
Sets the value of the 'serverHash' field.

### Methods inherited from class org.apache.avro.data.RecordBuilderBase

`data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getClientHash

public MD5 getClientHash()
Gets the value of the 'clientHash' field.

Returns:
  The value.

### getOptionalClientHash

public Optional<MD5> getOptionalClientHash()
Gets the value of the 'clientHash' field as an Optional<org.apache.avro.ipc.MD5>.

Returns:
  The value wrapped in an Optional<org.apache.avro.ipc.MD5>.

### setClientHash

public HandshakeRequest.Builder setClientHash(MD5 value)
Sets the value of the 'clientHash' field.

Parameters:
  `value` - The value of 'clientHash'.
Returns:
  This builder.

### hasClientHash

public boolean hasClientHash()
Checks whether the 'clientHash' field has been set.

Returns:
  True if the 'clientHash' field has been set, false otherwise.

### clearClientHash

public HandshakeRequest.Builder clearClientHash()
Clears the value of the 'clientHash' field.

Returns:
  This builder.

### getClientProtocol

public String getClientProtocol()
Gets the value of the 'clientProtocol' field.

Returns:
  The value.

### getOptionalClientProtocol

public Optional<String> getOptionalClientProtocol()
Gets the value of the 'clientProtocol' field as an Optional<java.lang.String>.

Returns:
  The value wrapped in an Optional<java.lang.String>.

### setClientProtocol

public HandshakeRequest.Builder setClientProtocol(String value)
Sets the value of the 'clientProtocol' field.

Parameters:
  `value` - The value of 'clientProtocol'.
Returns:
  This builder.

### hasClientProtocol

public boolean hasClientProtocol()
Checks whether the 'clientProtocol' field has been set.

Returns:
  True if the 'clientProtocol' field has been set, false otherwise.

### clearClientProtocol

public HandshakeRequest.Builder clearClientProtocol()
Clears the value of the 'clientProtocol' field.

Returns:
  This builder.

### getServerHash

public MD5 getServerHash()
Gets the value of the 'serverHash' field.

Returns:
  The value.

### getOptionalServerHash

public Optional<MD5> getOptionalServerHash()
Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.

Returns:
  The value wrapped in an Optional<org.apache.avro.ipc.MD5>.

### setServerHash

public HandshakeRequest.Builder setServerHash(MD5 value)
Sets the value of the 'serverHash' field.

Parameters:
  `value` - The value of 'serverHash'.
Returns:
  This builder.

### hasServerHash

public boolean hasServerHash()
Checks whether the 'serverHash' field has been set.

Returns:
  True if the 'serverHash' field has been set, false otherwise.

### clearServerHash

public HandshakeRequest.Builder clearServerHash()
Clears the value of the 'serverHash' field.

Returns:
  This builder.

### getMeta

public Map<String,ByteBuffer> getMeta()
Gets the value of the 'meta' field.

Returns:
  The value.

### getOptionalMeta

public Optional<Map<String,ByteBuffer>> getOptionalMeta()
Gets the value of the 'meta' field as an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.

Returns:
  The value wrapped in an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.

### setMeta

public HandshakeRequest.Builder setMeta(Map<String,ByteBuffer> value)
Sets the value of the 'meta' field.

Parameters:
  `value` - The value of 'meta'.
Returns:
  This builder.

### hasMeta

public boolean hasMeta()
Checks whether the 'meta' field has been set.

Returns:
  True if the 'meta' field has been set, false otherwise.

### clearMeta

public HandshakeRequest.Builder clearMeta()
Clears the value of the 'meta' field.

Returns:
  This builder.

### build

public HandshakeRequest build()

Specified by:
  `build` in interface `org.apache.avro.data.RecordBuilder<HandshakeRequest>`